Bug 22929 - Enabling the GDPR_Policy will affect libraries using the SCO module in Koha
Summary: Enabling the GDPR_Policy will affect libraries using the SCO module in Koha
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Tomás Cohen Arazi
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-16 15:32 UTC by Kelly McElligott
Modified: 2019-10-17 18:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 22929: Allow SCI/SCO logins independent of GDPR_Policy (1.49 KB, patch)
2019-05-17 08:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22929: Allow SCI/SCO logins independent of GDPR_Policy (1.52 KB, patch)
2019-09-06 11:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22929: Allow SCI/SCO logins independent of GDPR_Policy (1.55 KB, patch)
2019-09-06 18:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2019-05-16 15:32:40 UTC
With the introduction of the sys pref GDPR Policy in 18.11, having this enabled seems to affect the SCO module in Koha- if the library is also using AutoSelfCheckAllowed.  If they library as the system preference AutoSelfCheckAllowed set to ALLOW, the consent of GDPR seems to get tangled up in this process.  The self-check URL will get directed to /cgi-bin/koha/opac-patron-consent.pl and seem to be stuck. The consent form never appears, and this login will not be successful.
Comment 1 Marcel de Rooy 2019-05-17 08:18:30 UTC
Created attachment 89881 [details] [review]
Bug 22929: Allow SCI/SCO logins independent of GDPR_Policy

This patch makes Auth skip the GDPR policy check when get_template_and_user
is called for sci/sco (self checkin, checkout).
I do not really like the change in this form but the nature of self checkin
and checkout kind of dictate it (double hack).
I wanted to add a test but since that asks for mocking CGI, checkauth, etc.
the time needed for that is just too much for this simple change.

Test plan:
Enable GDPR_Policy and self checkin/checkout.
Verify that using patrons without consent is not blocking sci/sco.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Kyle M Hall 2019-09-06 11:34:10 UTC
Created attachment 92638 [details] [review]
Bug 22929: Allow SCI/SCO logins independent of GDPR_Policy

This patch makes Auth skip the GDPR policy check when get_template_and_user
is called for sci/sco (self checkin, checkout).
I do not really like the change in this form but the nature of self checkin
and checkout kind of dictate it (double hack).
I wanted to add a test but since that asks for mocking CGI, checkauth, etc.
the time needed for that is just too much for this simple change.

Test plan:
Enable GDPR_Policy and self checkin/checkout.
Verify that using patrons without consent is not blocking sci/sco.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Tomás Cohen Arazi 2019-09-06 18:20:03 UTC
Created attachment 92652 [details] [review]
Bug 22929: Allow SCI/SCO logins independent of GDPR_Policy

This patch makes Auth skip the GDPR policy check when get_template_and_user
is called for sci/sco (self checkin, checkout).
I do not really like the change in this form but the nature of self checkin
and checkout kind of dictate it (double hack).
I wanted to add a test but since that asks for mocking CGI, checkauth, etc.
the time needed for that is just too much for this simple change.

Test plan:
Enable GDPR_Policy and self checkin/checkout.
Verify that using patrons without consent is not blocking sci/sco.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Marcel de Rooy 2019-09-09 06:27:08 UTC
(In reply to Tomás Cohen Arazi from comment #3)
> Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
> Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Thanks Kyle and Tomas !
Comment 5 Martin Renvoize 2019-09-09 10:16:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-09-13 12:37:10 UTC
Pushed to 19.05.x for 19.05.04
Comment 7 Lucas Gass 2019-10-17 18:56:37 UTC
backported to 18.11.x for 18.11.11